Update webhook endpoint
curl --request PATCH \
--url https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"publicKey": "<string>",
"subscriptions": [
{
"eventTypeId": "<string>"
}
],
"url": "<string>"
}
'import requests
url = "https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}"
payload = {
"description": "<string>",
"publicKey": "<string>",
"subscriptions": [{ "eventTypeId": "<string>" }],
"url": "<string>"
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
publicKey: '<string>',
subscriptions: [{eventTypeId: '<string>'}],
url: '<string>'
})
};
fetch('https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Permissions required: Configure Webhooks
Update the configuration for an endpoint.
PATCH
/
webhook
/
endpoints
/
{endpointId}
Update webhook endpoint
curl --request PATCH \
--url https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"publicKey": "<string>",
"subscriptions": [
{
"eventTypeId": "<string>"
}
],
"url": "<string>"
}
'import requests
url = "https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}"
payload = {
"description": "<string>",
"publicKey": "<string>",
"subscriptions": [{ "eventTypeId": "<string>" }],
"url": "<string>"
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
publicKey: '<string>',
subscriptions: [{eventTypeId: '<string>'}],
url: '<string>'
})
};
fetch('https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Unique identifier for the endpoint
Body
application/json
Response
Successfully updated webhook endpoint
Was this page helpful?
⌘I